function md=QueueJobPeek(md,executionpath)
%QUEUEJOBPEEK - ...
%
%   Usage:
%      QueueJobPeek(md,executionpath)

%First try and figure out if there is a special script for thie particular cluster
function_name=['QueueJobPeek' md.cluster];
if exist(function_name,'file'),
	%Call this function:
	eval(['md=' function_name '(md,executionpath);']);
else
	%Call the generic QueueJobPeek:
	md=QueueJobPeekGeneric(md,executionpath);
end
